<?php

# @name: id_search.php
# @version: 0.1
# @creation_date: 2021-09-30
# @license: The MIT License <https://opensource.org/licenses/MIT>
# @author: Simon Bowie <ad7588@coventry.ac.uk>
# @purpose: Searches the Solr index by ID for one particular record

include '../solr.php';
include '../ops_api.php'

?>

<?php

  $search_results = solr_search_id($_GET["id"]);

  foreach($search_results as $result):

?>
    Application ID:

    <?php
    echo $result['application_id'];
    ?>

    <br><br>

    EPO publication:

    <a href=<?php echo $result['epo_publication_url']; ?>>
      <?php
      echo $result['epo_publication_url'];
      ?>
    </a>

    <br><br>

    IPC publication:

    <a href=<?php echo $result['ipc_publication_url']; ?>>
      <?php
      echo $result['ipc_publication_url'];
      ?>
    </a>

    <br><br>

    Title:

    <?php
    echo $result['title'];
    ?>

    <br><br>

    <?php
    if ($result['abstract']):
    ?>

    Abstract:

      <?php
      echo $result['abstract'];
      ?>

    <br><br>

    <?
    endif;
    ?>


    <?php
      $publication_details = get_publication_details($result['doc_ref']);

      if (isset($publication_details['original_title'])):
    ?>

      Original language title:

      <?php
      echo $publication_details['original_title'];
      ?>

      <br><br>

    <?php
      endif;
    ?>

    <?php
      if (isset($publication_details['original_abstract'])):
    ?>

      Original language abstract:

      <?php
      echo $publication_details['original_abstract'];
      ?>

      <br><br>

    <?php
      endif;
    ?>


    <?php
      if (check_for_images($result['doc_ref'])):
    ?>

    <iframe src="./ops_image.php?doc_ref=<?php echo $result['doc_ref'] ?>" width="100%" height="500px">
    </iframe>

    <br><br>

    <?php
      endif;
    ?>

<?php
  endforeach;
?>
